%define aurox_ver 11.0
%define real_ver 11.0
%define rel 1

%define release_name beta

Summary: Aurox release file
Name: aurox-release
Version: %{aurox_ver}
Release: %{real_ver}.aur.%{rel}
Epoch: 1
License: GPL
Group: System Environment/Base
Source: indexhtml-%{version}.tar.bz2
BuildArchitectures: noarch
Obsoletes: redhat-release
Obsoletes: rawhide-release
Obsoletes: fedora-release
Obsoletes: indexhtml
Provides: redhat-release
Provides: fedora-release = 4
Provides: indexhtml
BuildRoot: %{_tmppath}/aurox-release-root
BuildArchitectures: noarch

# Packages removed from distro:
Obsoletes: jdkgcj
Obsoletes: raidtools
# Fix missing perl obsoletes
Obsoletes: perl-CGI
Obsoletes: perl-CPAN
Obsoletes: perl-DB_File

%description
Aurox release file

%prep
%setup -q -n indexhtml-%{version}

%build
for lang in en_US cs_CZ de_DE es_ES fr_FR it_IT pl_PL; do
    sed -i -e "s/@@REALVER@@/%{real_ver}/" index-$lang.html
    sed -i -e "s/@@RELNAME@@/%{release_name}/" index-$lang.html
    sed -i -e "s/@@AURVER@@/%{aurox_ver}/" index-$lang.html
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Aurox Linux release %{real_ver} (%{release_name})" > $RPM_BUILD_ROOT/etc/aurox-release
cp $RPM_BUILD_ROOT/etc/aurox-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s /etc/aurox-release $RPM_BUILD_ROOT/etc/redhat-release

mkdir -p -m 755 $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML
install -m 644 index-en_US.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-en_US.html
install -m 644 index-cs_CZ.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-cs_CZ.html
install -m 644 index-de_DE.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-de_DE.html
install -m 644 index-es_ES.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-es_ES.html
install -m 644 index-fr_FR.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-fr_FR.html
install -m 644 index-it_IT.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-it_IT.html
install -m 644 index-pl_PL.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index-pl_PL.html
ln -s index-en_US.html $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/index.html
install -m 644 aurox-%{version}-RPMS.lst $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML/aurox-%{version}-RPMS.lst
cp -ap $RPM_BUILD_DIR/indexhtml-%{version}/img* \
  $RPM_BUILD_ROOT/%{_defaultdocdir}/HTML


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/aurox-release
/etc/redhat-release
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%{_defaultdocdir}/HTML/*
